    use strict; use warnings;
    use Test::More;
    use Selenium::Chrome;

    my $url    = 'http://www.freeformatter.com';
    my $driver = Selenium::Chrome->new();
    $driver->get($url);
    my $ar_cook = $driver->get_all_cookies();
    is scalar @$ar_cook, 2, 
        'Freeformatter uses 2 cookies';
    $driver->delete_cookie_named('Cthulhu');
    $ar_cook = $driver->get_all_cookies();
    is scalar @$ar_cook, 2, 'No cookie? No problem';
    $driver->delete_cookie_named('AWSELB');
    $ar_cook = $driver->get_all_cookies();
    is scalar @$ar_cook, 1, 
        'Deleting an existing named cookie works';
    $driver->refresh;
    $ar_cook = $driver->get_all_cookies();
    is scalar @$ar_cook, 2, 
        '... but refreshing replaces it.';
    $driver->quit;
    done_testing;